package cz.moneta.test.regression.internal.forte;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.forte.components.ForteRoles;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "Open Portal log page")
public class OpenLogPageTest {

    @TestCase(name = "Open Portal log page", environments = {Environment.TST1, Environment.DEV})
    public void openLogPage(Harness harness) {
        harness.withForte()
                .openForteHomePage()
                .clickPortal()
                .selectRoleMenu(ForteRoles.SUPERUSER)
                .clickLogs();
    }
}